/operators
This endpoint allows you to list all Operators.
getOperators
data
array<object>
id
string
read-only
ID of the Operator
type
string
read-only
Model type
operator
attributes
object
operator_id
integer
read-only
ID of the Operator
operator_uuid
string (uuid)
read-only
Uuid of the Operator
full_name
string
email
string (email)
phone
string | null
cellphone
string | null
account
string
Type of account which determines the access permission level.
admin
manager
technician
operator
reporter
language
string
ar
ca
da_dk
en
es
fr_fr
pl_pl
pt_br
pt_pt
ko
zh_cn
nl_nl
de_de
cost_per_hour
number
Example: 10
warehouse_id
integer
ID of the warehouse associated to the Operator by default.
entity_id
integer
read-only
timezone
string
Valid PHP timezone identifier. See the full list here: https://www.php.net/manual/en/timezones.php.
Example: Europe/Lisbon
is_from_network
boolean
created_at
string (date-time)
phone_country_code
string
Example: US
is_first_web_login
boolean | null
read-only
status
string
WORKING
AVAILABLE
OFFLINE
Example: WORKING
meta
object
custom_fields
object | null
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
403
message
string
Example: Action unauthorized
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/operators' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/operators', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/operators');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/operators',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()